Bug 869380 - add confirmation dialog to "delete manifest" functionality
add confirmation dialog to "delete manifest" functionality
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-10-23 14:14 EDT by Tom McKay
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:18:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Delete manifests (70.77 KB, image/png)
2012-11-06 00:48 EST, Tazim Kolhar
no flags Details
delete manifests (100.22 KB, image/png)
2012-12-17 02:53 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tom McKay 2012-10-23 14:14:30 EDT
headpin-only BZ

Add a confirmation "Are you sure?" before committing the delete manifest call in the UI.
Comment 1 Tom McKay 2012-10-31 14:07:40 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 950482cfdea7ea5a353276350b21329b1f28e676
      https://github.com/Katello/katello/commit/950482cfdea7ea5a353276350b21329b1f28e676
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-10-31 (Wed, 31 Oct 2012)
Comment 2 Tazim Kolhar 2012-11-06 00:48:55 EST
Created attachment 639093 [details]
Delete manifests

VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch
Comment 3 Tazim Kolhar 2012-11-15 10:55:57 EST
Sorry.. Changed to MODIFIED 
need to verify it for puddle
Comment 4 Tom McKay 2012-12-03 10:41:14 EST
In latest compose
Comment 5 Tazim Kolhar 2012-12-17 02:53:05 EST
Created attachment 664722 [details]
delete manifests

VERIFIED :

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.2.4-1.el6.noarch
katello-glue-candlepin-1.2.6-6h.el6_3.noarch
katello-cli-common-1.2.4-4h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-1.2.4-4h.el6_3.noarch
katello-headpin-1.2.6-6h.el6_3.noarch
katello-common-1.2.6-6h.el6_3.noarch
katello-headpin-all-1.2.6-6h.el6_3.noarch
Comment 7 errata-xmlrpc 2013-02-21 14:18:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.